Subject: Re: build package of already installed packages fails
To: None <>
From: Jeremy C. Reed <>
List: pkgsrc-users
Date: 10/22/2007 16:20:01
On Mon, 22 Oct 2007, wrote:

> As described in the pkgsrc guide (Appendix B.1 and B.2) i do:
> -->make
> -->make install
> or
> -->make update

Are you doing a "make clean" before attempting your packaging?

> Then if i do
> --> make package
> i always get the error
> " ... already installed - perhaps an older version?
> ...
> make stopped.
> Isn't it possible to build an package of an an already installed
> package or is there another way to do this?

If you do a "make clean" then it attempts to do the "install" step again. 
The error you see is from the "install" step.

If you want to create a package from something installed also see the 
pkgtools/pkg_tarup package.

  Jeremy C. Reed